
import axios from '../../utils/axios';
import { stringToUrl } from '@/common/js/utils';

// 获取订单列表
export function getOrderList(params) {
  return axios.get(`/ORDER-SERVER/tOrder/orderSelect?${stringToUrl(params)}`);
}

// 订单分析
export function getOrderAnalysis(params) {
  return axios.post(`/ORDER-SERVER/tOrder/orderAnalysis`, params);
}

// 订单分析导出
export function Api_getOrderAnalysisExport(params) {
  return axios.post(`/ORDER-SERVER/tOrder/orderAnalysisExport`, params, {responseType:'blob'});
}

// 导出Excle
export function Api_getOrderExport(params) {
  return axios.get(`/ORDER-SERVER/tOrder/onlineExport?${stringToUrl(params)}`,{responseType:'blob'});
}